package com.engine.organization.transmethod;

import com.engine.organization.entity.DeleteParam;
import com.engine.organization.entity.company.po.CompPO;
import com.engine.organization.mapper.comp.CompMapper;
import com.engine.organization.util.db.MapperProxyFactory;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class CompTransMethod {

    public static String getSpanById(String planId) {
        CompMapper compMapper = MapperProxyFactory.getProxy(CompMapper.class);
        List<CompPO> maps = compMapper.getCompsByIds(DeleteParam.builder().ids(planId).build().getIds());
        return maps.stream().map(CompPO::getSubCompanyName).collect(Collectors.joining(","));
    }
}
